package net.grcomputing.opencms.search.lucene;

/*
* <p>
* This file is part of GRC's OpenCMS module library.
* </p>
* <p>
* GRC's OpenCMS module library 
* is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* </p>
* <p>
* GRC's OpenCMS module library is distributed in the 
* hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* </p>
* <p>
* You should have received a copy of the GNU General Public License
* along with GRC's OpenCMS module library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
* Or view the license online at http://www.gnu.org/licenses/gpl.html
* </p>
* <hr>
*/

/**
* <p>Constants for building Lucene Documents, Searches and Indexers.</p>
* <p>FIELD_ vars represent data that is put in Documents as Field attributes
* An implementation <i>ought</i> to try to include as many of these fields
* as is applicable.</p>
* @author Matt Butcher mbutcher@grcomputing.net
* @see <a href="http://grcomputing.net">http://grcomputing.net</a>
*/
public interface I_DocumentConstants {
	/** 
	 * abs_path is absolute VFS path. An attempt is made to add
	 * each "FIELD_" constant to the index.
	 */
	public static String FIELD_PATH = "abs_path";

	/** initial_add is DateAdded of CmsFile */
	public static String FIELD_INITIAL_ADD = "initial_add";

	/** last_modified is DateLastModified of CmsFile */
	public static String FIELD_LAST_MOD = "last_modified";

	/** title is property "title" from file */
	public static String FIELD_TITLE = "title";

	/** description is property "description" from file */
	public static String FIELD_DESC = "description";

	/** keywords is "keywords" property from file. */
	public static String FIELD_KEYWORDS = "keywords";
	
	/** section is "section" from configuration. */
	public static String FIELD_SECTION = "section";

	/** body is the body of the file . */
	public static String FIELD_BODY = "body";
}
