package net.grcomputing.opencms.search.lucene;

/*
* <p>
* This file is part of GRC's OpenCMS module library.
* </p>
* <p>
* GRC's OpenCMS module library 
* is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* </p>
* <p>
* GRC's OpenCMS module library is distributed in the 
* hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* </p>
* <p>
* You should have received a copy of the GNU General Public License
* along with GRC's OpenCMS module library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
* Or view the license online at http://www.gnu.org/licenses/gpl.html
* </p>
* <hr>
* 
*/

/**
* <p>This interface contains String constants for the names of XML
* elements that are used by the Lucene Search Configuration.</p>
* @author Matt Butcher mbutcher@grcomputing.net
* @see <a href="http://grcomputing.net">http://grcomputing.net</a>
 */
public interface I_XmlConfigConstants {
	/** Name of the top config element for Lucene Search parameters. */
	public static String LUCENE_SEARCH_ELEMENT = "luceneSearch";

	/** Element to determine if subdirectory searches are enabled. */
	public static String ELE_SUBSEARCH = "subsearch";

	/** Element to determine where the Index is. */
	public static String ELE_INDEX_DIR = "indexDir";

	/** Element to determine where the Index is. */
	public static String ELE_PERM_CHECK = "permCheck";

	/** Element to determine merge factor. */
	public static String ELE_MERGE_FACTOR = "mergeFactor";

	/** Element to determine analyzer class. */
	public static String ELE_ANALYZER = "analyzer";

	/** docFactory Element */
	public static String ELE_DOC_FACTORIES = "docFactories";

	public static String ELE_PAGE_DOC_FACTORY = "pageDocFactory";

	/** plainDocFactory Element */
	public static String ELE_PLAIN_DOC_FACTORY = "plainDocFactory";

	/** fileType element */
	public static String ELE_FILE_TYPE = "fileType";

	/** extension element */
	public static String ELE_EXTENSION = "extension";

	/** class element */
	public static String ELE_CLASS = "class";
	
	/** jspDocFactory element */
	public static String ELE_JSP_DOC_FACTORY = "jspDocFactory";

	/** xmlTemplateDocFactory element */
	public static String ELE_XML_TEMPLATE_DOC_FACTORY = "xmlTemplateDocFactory";
	
	/** directories element */
	public static String ELE_DIRECTORIES = "directories";

	/** directory element */
	public static String ELE_DIRECTORY = "directory";

	/** section element */
	public static String ELE_SECTION = "section";

	/** section element */
	public static String ELE_PROJECT = "project";
	
	/** location attribute. */
	public static String ATTR_LOCATION = "location";

	/** enabled attribute */
	public static String ATTR_ENABLED = "enabled";

	/** name attribute */
	public static String ATTR_NAME = "name";


}

